'use common library
ExecuteGlobal CreateObject("Scripting.FileSystemObject").OpenTextFile( left( WScript.ScriptFullName , len (WScript.ScriptFullName) -len( WScript.ScriptName ) ) & "\vb-script-library.vbs",1).ReadAll()
InitScript("Certificate Cleanup Script")

'global variables


' test for CAPICOM library.
sub VerifyCAPICOM()
dim store
    on error resume next
    set store = CreateObject("Capicom.Store")
    if err.number <> 0 then
        if err.number <> 0 then
            logerror "It would appear that the CAPICOM library is not installed." 
            logerror "Please run the install-capicom.bat script to install CAPICOM." 
            finished 
        end if
    end if
end sub

REM SCRIPT STARTS HERE
VerifyCAPICOM 

DeleteCertificate "root", "localMachine" , "PRESTO Test Root CA" 

' install leaf certs
DeleteCertificate "My", "localMachine" , "PRESTO Source Application" 
DeleteCertificate "My", "localMachine" , "PRESTO Sender Proxy" 
DeleteCertificate "My", "localMachine" , "PRESTO Receiver Proxy" 
DeleteCertificate "My", "localMachine" , "PRESTO Target Application" 

finished